<?php require_once('../../Connections/odonto_connection1.php');
session_start();
$codigo=$_SESSION['codigo'];
if(isset($_SESSION['codigo']))
{
	$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo'";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
	$mesa=$row_rs_ingreso0['mesa'];
	$negocio=$row_rs_ingreso0['negocio'];
	$sucursal=$row_rs_ingreso0['sucursal'];
	$mozo=$row_rs_ingreso0['mozo'];

	$hora      = date("Y-m-d h:i");
	$hora      = strtotime('-3 hour', strtotime($hora));
	$hora      = date('Y-m-d h:i', $hora);
	$aviso="Pedido en mesa ".$mesa;

	$mensaje='';
	if(isset($_GET['mensaje'])) $mensaje = $_GET['mensaje'];

	$query_rs_todos = "SELECT * FROM `pedidos` WHERE mesa LIKE '$codigo' AND negocio LIKE '$negocio' AND sucursal LIKE '$sucursal' ";
	$rs_ingreso1 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso1 = mysqli_fetch_assoc($rs_ingreso1);

	do{
		$cod_pre = $row_rs_ingreso1['cod_pre'];
		$cant = $row_rs_ingreso1['cant'];
		$recibido = $row_rs_ingreso1['recibido'];
		$dif=$cant-$recibido;

		$query_rs_todos = "SELECT * FROM `precios` WHERE id_pre LIKE '$cod_pre' AND negocio LIKE '$negocio' AND sucursal LIKE '$sucursal'";
		$rs_ingreso2 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
		$row_rs_ingreso2 = mysqli_fetch_assoc($rs_ingreso2);
		if($row_rs_ingreso2['observa'] != 'nota') 
			{
			$nota="(".$row_rs_ingreso2['observa'].")";
			}
		else $nota="";
		$descripcion = $dif." ".$row_rs_ingreso2['menu'].$nota." \n".$descripcion;
	}
	while($row_rs_ingreso1= mysqli_fetch_assoc($rs_ingreso1));

	if ($_SESSION['voy'] == 'voy' && $descripcion != '0')
	{die($descripcion);
		$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `mozo`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', '$descripcion', '$mozo', '0', '$mensaje', '7', NULL, NULL);";
		$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());

		//$query_rs_tabla22 = "UPDATE `pedidos` SET `nuevo` = '1' WHERE `pedidos`.`mesa` = '$codigo';";
		//$rs_tabla22 = mysqli_query($odonto_connection, $query_rs_tabla22) or die(mysqli_error());

		if($mensaje != '' ) $descripcion=$descripcion." ACLARA:".$mensaje;
		$query_rs_tabla3 = "UPDATE `mesas` SET `descripcion` = '$descripcion' WHERE `mesas`.`mesa` = '$mesa';";
		$rs_tabla3 = mysqli_query($odonto_connection, $query_rs_tabla3) or die(mysqli_error());


	$query_rs_todos = "SELECT cant,id_ped FROM `pedidos` WHERE mesa LIKE '$codigo' AND negocio LIKE '$negocio' AND sucursal LIKE '$sucursal'";
	$rs_ingreso5 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso5 = mysqli_fetch_assoc($rs_ingreso5);
	do{
		$id_ped = $row_rs_ingreso5['id_ped'];
		$cant = $row_rs_ingreso5['cant'];
		$query_rs_tabla3 = "UPDATE `pedidos` SET `recibido` = '$cant' WHERE `pedidos`.`id_ped` = '$id_ped';";
		$rs_tabla3 = mysqli_query($odonto_connection, $query_rs_tabla3) or die(mysqli_error());
	
	}while($row_rs_ingreso5 = mysqli_fetch_assoc($rs_ingreso5));

	}
}
?>
  
<!DOCTYPE HTML>
<html>
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>PonderZone</title>

<link rel="stylesheet" href="../../bootstrap4/css/bootstrap.min.css" />
<link rel="stylesheet" href="../../bootstrap4/css/bootstrap.css" />

<script>

function myFunction() {setTimeout ("myFunction1();", 3500);}

function myFunction1(){	
	var codigo = "<?php echo $codigo;?>";
	window.open("./index0.php","_parent");
}
	</script>
<style>
body {
  text-align:left;
  background:linear-gradient(141deg, #000 25%, #4AABBF 40%, #ddd 55%);
  color:#555;
  font-family:'Roboto';
  font-weight:300;
  font-size:10px;
  padding-top:1vh;
  height:100vh;
  overflow:hidden;
  -webkit-backface-visibility: hidden;
  -webkit-perspective: 1000;
  -webkit-transform: translate3d(0,0,0);
}

</style>

</head>
<body onload="myFunction()">

<div class="container-fluid">

<br><br>
<div class="row container-fluid text-center" style="color:#3b5998;font-size:3.5rem" >
	<div class="col"><?php if(isset($_SESSION['codigo'])) {
		if ($_SESSION['voy'] == 'voy') {
			if ($descripcion[0] != '0') {echo "Pedido Marchado...<br>En breve lo tendr&aacute;s";}
			else echo "No hay nada seleccionado";
			}
		else echo ".......::::......";
	}
	else echo "Vuelva a intentarlo...";?></div>
</div>


</div>


<script src="../../bootstrap4/jquery-3.3.1.min.js"></script>
<script src="../../bootstrap4/popper.min.js"></script>
<script src="../../bootstrap4/js/bootstrap.js"></script>

</body>
</html>